Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawBlockConnectorLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawCurveLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawBlockConnectorLogicalStructure

public class DrawBlockConnectorLogicalStructure extends DrawCurveLogicalStructure

- ## Field Summary

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawCurveLogicalStructure

  `controlPoint1, controlPoint2, endPoint, knobs, lineCap, showTitleLabelBackground, startPoint`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, endArrow, eventOpaque, eventPassThrough, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, titleRotationMode, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawBlockConnectorLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrawBlockConnectorLogicalStructure

    public DrawBlockConnectorLogicalStructure()